通过python调用接口,总是出错
我们狠年轻12 发布于2017-12 浏览:4205 回复:17
1
收藏

Object of type 'bytes' is not JSON serializable,请问有没有大神知道这是什么问题

收藏
点赞
1
个赞
共17条回复 最后由用户已被禁言回复于2018-06
#18用户已被禁言回复于2018-06
#17 tp01256回复
Traceback (most recent call last): File "D:/kimProjects/pythonProjects/baiduAITest/apiTest", line 2, in <module> from aip import AipNlp File "C:\python\lib\site-packages\aip\__init__.py", line 6, in <module> from ocr import AipOcr ModuleNotFoundError: No module named 'ocr'   我出了这个错误,怎么办呢
展开

sdk是最新的吗?你的代码能用代码块给出么

1
#17tp01256回复于2018-06

Traceback (most recent call last):
File "D:/kimProjects/pythonProjects/baiduAITest/apiTest", line 2, in
from aip import AipNlp
File "C:\python\lib\site-packages\aip\__init__.py", line 6, in
from ocr import AipOcr
ModuleNotFoundError: No module named 'ocr'

 

我出了这个错误,怎么办呢

0
#16用户已被禁言回复于2018-05
#15 s小战士s回复
[图片] 我也出现了同样的错误,截图如上

bytes是说你的image参数有问题 你把image参数str一下试试

1
#15s小战士s回复于2018-05

我也出现了同样的错误,截图如上

0
#14北京中政人通回复于2018-01

请提供一下报错截图

0
#13choleraa回复于2018-01

可否提供截图? 例如我这样的截图:

 

1
#12我们狠年轻12回复于2017-12
#10 周俊316回复
您好,您使用的是python哪个版本的?

我用的是python3.6.1

0
#11我们狠年轻12回复于2017-12
#10 周俊316回复
您好,您使用的是python哪个版本的?

3.6.1 应该是最新的

0
#10周俊316回复于2017-12

您好,您使用的是python哪个版本的?

0
#9用户已被禁言回复于2017-12
#8 我们狠年轻12回复
是的,之前还能用

那你只能提交工单咨询了。不知道如何提交工单。点击我头像可以查看 工单提交手册

1
#8我们狠年轻12回复于2017-12
#7 用户已被禁言回复
是因为SDK版本有变化导致吗?

是的,之前还能用

0
#7用户已被禁言回复于2017-12
#6 我们狠年轻12回复
而且并不是这一个接口有问题,其他的调用也是这个错误,之前用的好好的

是因为SDK版本有变化导致吗?

1
#6我们狠年轻12回复于2017-12

而且并不是这一个接口有问题,其他的调用也是这个错误,之前用的好好的

0
#5用户已被禁言回复于2017-12
#4 这一刻我不爱回复
遇到了类似错误。希望解答

直接print输出的适合报错吗?我用myeclipse安装的python插件 测试sdk并木有遇到这个问题。

1
#4这一刻我不爱回复于2017-12

遇到了类似错误。希望解答

0
#3用户已被禁言回复于2017-12

看的不像是接口返回的错误。我自己测试过SDK没有出现过这个错误提示。我本身是Java 用的是插件在MyEclipse用。运行没错误

1
#2我们狠年轻12回复于2017-12

from aip import AipNlp


""" 你的 APPID AK SK """
APP_ID = '*********'
API_KEY = 'P8T676*******IAQOgwTh'
SECRET_KEY = 'AqI5gbY*******************DeZ7g8'

aipNlp = AipNlp(APP_ID, API_KEY, SECRET_KEY)

result = aipNlp.sentimentClassify('百度是一家伟大的公司')

0
TOP
切换版块